#
# spec file for package libkfbapi
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _so 1

Name:           libkfbapi
Version:        1.0
Release:        9.1
Summary:        A library for accessing Facebook services
License:        LGPL-2.0+
Group:          System/GUI/KDE
Url:            https://projects.kde.org/projects/extragear/libs/%{name}
Source:         http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
BuildRequires:  libkdepimlibs4-devel
BuildRequires:  libqjson-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
A library for accessing Facebook services.

%package -n %{name}%{_so}
Summary:        A library for accessing Facebook services
Group:          Development/Libraries/KDE
Recommends:     %{name}-lang = %{version}

%description -n %{name}%{_so}
A library for accessing Facebook services.

%package lang
Summary:        A library for accessing Facebook services
Group:          Development/Libraries/KDE
Requires:       %{name}%{_so} = %{version}

%description lang
Provides translations to the package %{name}%{_so}

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/KDE
Requires:       %{name}%{_so} = %{version}

%description devel
Development headers and libraries for %{name}.

%prep
%setup -q

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build

  %kde_post_install

  %find_lang %{name} %{name}.lang

%post -n %{name}%{_so} -p /sbin/ldconfig

%postun -n %{name}%{_so} -p /sbin/ldconfig

%files lang -f %{name}.lang

%files -n %{name}%{_so}
%defattr(-,root,root)
%doc COPYING.LIB
%{_kde4_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%doc COPYING.LIB
%{_kde4_includedir}/%{name}
%{_kde4_libdir}/%{name}.so
%{_kde4_libdir}/pkgconfig/LibKFbAPI.pc
%{_kde4_libdir}/cmake/LibKFbAPI/

%changelog
* Tue Aug 12 2014 hrvoje.senjan@gmail.com
- Use kde4-macros for filelists, libkfbapi uses kdelibs4 buildsystem
* Sat Jun 29 2013 hrvoje.senjan@gmail.com
- Don't use %%lang_package macro, that creates dependancy on a non
  existant package
* Fri Jun 28 2013 hrvoje.senjan@gmail.com
- Initialize libkfbapi package
